> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Index a document (deprecated)

> Use `/api/index/{id}` instead.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-indexing.json post /index-pipelines/{id}/collections/{collection}/index
openapi: 3.0.1
info:
  title: Fusion Indexing API
  description: |-
    The Lucidworks Fusion Indexing API manages
    parsers, index pipelines, index stages, index profiles, and subscriptions.
  contact:
    name: Lucidworks
    url: https://www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: 'Your environment host. '
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: 'Your environment host. '
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security:
  - Basic auth: []
  - API key: []
tags:
  - name: Index Pipelines API
    description: >-
      Use these endpoints to view and manage your index pipelines.  You can also
      index documents using this API, though the Index Profiles API is
      recommended instead.
  - name: Index Profiles API
    description: >-
      The Index Profiles API provides static endpoints that you can consistently
      point to when indexing your documents.  Index profiles allow you to change
      the index pipelines, parsers, or collections behind them without changing
      the endpoint you use for indexing.  See the Index Profiles CRUD API for
      endpoints that create and modify index profiles.
  - name: Index Profiles CRUD API
    description: >-
      Use these endpoints to create and modify index profiles.  Index profiles
      allow you to change the index pipelines, parsers, or collections behind
      them without changing the endpoint you use for indexing.  See the Index
      Profiles API for the indexing endpoints.
  - name: Index Stage API
    description: >-
      Use these endpoints to view the available index pipeline stages and their
      configuration parameters.
  - name: Index Stage Plugins API
    description: >-
      Use these endpoints to view, install, and manage custom index stages
      developed with the Index Stage SDK.
  - name: Parsers CRUD API
    description: >-
      Endpoints to perform Create-Read-Update-Delete operations on Parsers,
      Deprecated: use async-parsing endpoint instead.
  - name: Parsers Schema API
    description: >-
      Endpoints to get the Schema of Parsers. Deprecated: use async-parsing
      endpoint instead.
  - name: Subscriptions API
    description: The Subscriptions API
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /index-pipelines/{id}/collections/{collection}/index:
    post:
      tags:
        - Index Pipelines API
      summary: Index a document (deprecated)
      description: Use `/api/index/{id}` instead.
      operationId: indexPipelineDocumentNoStats_1_1_1
      parameters:
        - name: id
          description: The index pipeline ID
          in: path
          required: true
          schema:
            type: string
          example: default
        - name: collection
          description: The collection ID
          in: path
          required: true
          schema:
            type: string
        - name: simulate
          description: >-
            Run the pipeline in "simulate" mode for these docs. Stages with
            "side-effects" are skipped.
          in: query
          schema:
            type: boolean
            default: false
        - name: echo
          description: If `true`, indexed documents are included in the response.
          in: query
          schema:
            type: boolean
            default: true
        - name: echoMaxCount
          description: >-
            The number of documents to include in the response, with `-1`
            implying "all".
          in: query
          schema:
            type: integer
            format: int32
            default: -1
        - name: bufferDocsForSolr
          description: If `true`, the SolrIndexStage buffers docs.
          in: query
          schema:
            type: boolean
        - name: throwOnError
          description: >-
            Indicates if the indexing should proceed if an error is encountered
            or if it should throw an exception.
          in: query
          schema:
            type: boolean
            default: true
        - name: params
          description: Indexing request parameters.
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/MultiValueMapStringString'
        - name: stats
          description: Return statistics about pipeline processing events.
          in: query
          schema:
            type: boolean
            default: false
        - name: autoDetectFormat
          description: Deprecated.
          in: query
          deprecated: true
          schema:
            type: string
        - name: parserId
          description: (Deprecated) Id of the parser to be used. Use async-parser instead.
          in: query
          deprecated: true
          schema:
            type: string
            default: _system
        - name: skipParsing
          description: Skip the parsing and treat document as byte stream.
          in: query
          schema:
            type: boolean
            default: false
        - name: contentType
          description: MIME type
          in: header
          schema:
            type: string
            default: application/octet-stream
        - name: contentSourceName
          description: The filename on the source system.
          in: query
          schema:
            type: string
            default: unknown
      requestBody:
        content:
          application/vnd.lucidworks-document:
            schema:
              type: object
          application/vnd.solr-document:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: OK
          content:
            application/vnd.lucidworks-document:
              schema:
                type: object
            application/vnd.solr-document:
              schema:
                type: object
      deprecated: true
components:
  schemas:
    MultiValueMapStringString:
      description: The parameters of the indexing request.
      type: object
      properties:
        all:
          type: object
          additionalProperties:
            type: string
          writeOnly: true
        empty:
          type: boolean
      additionalProperties:
        type: array
        items:
          type: string
  securitySchemes:
    Basic auth:
      type: http
      scheme: basic
    API key:
      name: x-api-key
      type: apiKey
      in: header

````